  #include <Arduino.h>
  #include <ESP8266WiFi.h>
  #include <Hash.h>
  #include <ESPAsyncTCP.h>
  #include <ESPAsyncWebServer.h>
  #include <FS.h>

const char* ssid = "RobiniPhone";
const char* password = "12345678";
String humidity;

AsyncWebServer server(80);

void setup() {
  Serial.begin(115200);
  delay(10);

  // initializeaza SPIFFS
  if(!SPIFFS.begin()){
    Serial.println("An Error has occurred while mounting SPIFFS");
    return;
  }
  
  // conectare WiFi
  Serial.println();
  Serial.print("Connecting to ");
  Serial.println(ssid);
  WiFi.mode(WIFI_STA);
  WiFi.begin(ssid, password);
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
  
  Serial.println("");
  Serial.println("WiFi connected");
  Serial.print("Connected to ");
  Serial.println(ssid);
  // porneste server
  server.begin();
  Serial.println("Server started");

  // print adresa IP
  Serial.print("Use this URL to connect: http://");
  Serial.print(WiFi.localIP());
  Serial.println("/");

  server.on("/", HTTP_GET, [](AsyncWebServerRequest *request){
    request->send(SPIFFS, "/index.html");
  });
  server.on("/humidity", HTTP_GET, [](AsyncWebServerRequest *request){
      request->send_P(200, "text/plain", humidity.c_str());
  });
  server.begin();
}

void loop() {
  if (Serial.available()) {
    humidity = Serial.readString();
    int humidity_int = atoi(humidity.c_str());
    humidity_int = (1050 - humidity_int) / 10;
    humidity = String(humidity_int);
    Serial.println(humidity);
  }
}
